package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class AsesmenPsikologisVO extends BaseTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "PengkajianAwalPsikologiFk")
	@NotNull(message = "Pengkajian Awal Psikologi tidak boleh kosong")
	private PengkajianAwalPsikologiVO pengkajianAwalPsikologi;
	
	@ManyToOne
	@JoinColumn(name = "AsesmenPsikologisDetailFk")
	@NotNull(message = "Asesmen Psikologis Detail tidak boleh kosong")
	private AsesmenPsikologisDetailVO asesmenPsikologisDetail;
	
	@Column(name = "keterangan")
	@Caption(value = "Keterangan")
	private String keterangan;

	public PengkajianAwalPsikologiVO getPengkajianAwalPsikologi() {
		return pengkajianAwalPsikologi;
	}

	public void setPengkajianAwalPsikologi(PengkajianAwalPsikologiVO pengkajianAwalPsikologi) {
		this.pengkajianAwalPsikologi = pengkajianAwalPsikologi;
	}	

	public AsesmenPsikologisDetailVO getAsesmenPsikologisDetail() {
		return asesmenPsikologisDetail;
	}

	public void setAsesmenPsikologisDetail(AsesmenPsikologisDetailVO asesmenPsikologisDetail) {
		this.asesmenPsikologisDetail = asesmenPsikologisDetail;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}	

}
